{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Chapitre 15\n",
    "## Exercice 38 p 317 : Saut en parachute  \n",
    "Enoncé"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "import numpy as np \n",
    "import matplotlib.pyplot as plt\n",
    "from math import sqrt # appel de la fonction racine"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "m=0.058         # masse de la balle\n",
    "g=9.81          # intensité de la pesanteur terrestre en N/kg\n",
    "z_0=1.5         # altitude de départ en m\n",
    "z_p=0           # altitude du sol\n",
    "v_0=0           # valeur de la vitesse initiale de chute"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "h=np.linspace(0,z_0-z_p,1001) # définition des abcisses (en m)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "def v(h_i):         # définition de la fonction à représenter\n",
    "    Em_0=1/2*m*v_0**2+m*g*z_0\n",
    "    Epp_h=m*g*(z_0-h_i)\n",
    "    Ec_h=Em_0-Epp_h\n",
    "    return sqrt(2*Ec_h/m)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "v = [v(h_i) for h_i in h]  # définition des ordonnées (en m/s) "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "plt.plot(h,v)                   # graphique des points de coordonnées dans h et v\n",
    "plt.xlabel('Hauteur de chute (en m)')   # légende axe abcisses\n",
    "plt.ylabel('Valeur de la vitesse de chute (en m/s)') #légende axe des ordonnées\n",
    "plt.grid()          # insère une grille\n",
    "plt.title('v=f(h)') # titre de la courbe\n",
    "plt.show( )         # affiche la figure"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.1"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
